import wx

from clarabot_nano.control.client import WxCoreInterface
from clarabot_nano.control.utility import change_font_to_bold, change_foreground_color_to_dimmed


class ControlStart(wx.Panel):
    """
    Indicate starting state
    """

    def __init__(self, core_interface: WxCoreInterface, parent):
        wx.Panel.__init__(self, parent)

        layout = wx.BoxSizer(wx.VERTICAL)
        self._title_label = wx.StaticText(self, wx.ID_ANY, gettext("Starting"), style=wx.ALIGN_CENTER)
        change_foreground_color_to_dimmed(self._title_label)
        change_font_to_bold(self._title_label)
        layout.Add(self._title_label, 1, wx.ALL | wx.EXPAND)
